Uploaded image for project: 'DC/OS'
  1. DC/OS
  2. DCOS_OSS-5038

Feedback for DC/OS on AWS using the Universal Installer

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Medium
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: docs
    • Labels:
    • Sprint:
      docs 5
    • Story Points:
      1

      Description

      Source: https://docs.mesosphere.com/1.12/installing/evaluation/aws

      In the section "Creating a DC/OS Cluster" Item 3 has the example main.ft.

      The version is inconsistent with the documentation for Azure and GCP.  version = "~> 0.1" means from 0.1 to 0.X including all version less than 1.0.  It should read version = "~> 0.1.0" which means at least 0.1.0 and up to 0.1.X but less that 0.2.X.  

       

      {{module "dcos" { }}

      {{source = "dcos-terraform/dcos/aws" }}

      version = "~> 0.1"

       

      This is causing users to use the 0.1.0 main.tf that is no longer compatible with 0.2.0 module version.

        Attachments

          Activity

            People

            • Assignee:
              joshearlenbaugh Josh Earlenbaugh
              Reporter:
              chrismcinerney Chris McInerney
              Team:
              Doc Team
              Watchers:
              Chris McInerney, Miguel Bernadin (Inactive)
            • Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: